Author Topic: Fatal error on UE4 Startup  (Read 2425 times)

Since the latest Plugin Update I get the following Error when ever I try to open my UnrealEngine 4.25 Project:
"Fatal error: [File:D:/Build/++UE4/Sync/Engine/Source/Runtime/CoreUObject/Private/UObject/LinkerLoad.cpp] [Line: 3899] SubstanceTexture2D /Game/Textures/Substance/1/UE4_Plugin_INST2_basecolor.UE4_Plugin_INST2_basecolor: Serial size mismatch: Got 208, Expected 204

UE4Editor_CoreUObject
UE4Editor_CoreUObject
UE4Editor_CoreUObject
UE4Editor_CoreUObject
UE4Editor_CoreUObject
UE4Editor_CoreUObject
UE4Editor_CoreUObject
UE4Editor_CoreUObject
UE4Editor_SubstanceCore!USubstanceGraphInstance::GraphRequiresUpdate() [D:\Build\++Portal+Promotion\Sync\LocalBuilds\PluginTemp\HostProject\Plugins\Substance\Source\SubstanceCore\Private\SubstanceGraphInstance.cpp:226]
UE4Editor_SubstanceCore!Substance::Helpers::SubstancesRequireUpdate() [D:\Build\++Portal+Promotion\Sync\LocalBuilds\PluginTemp\HostProject\Plugins\Substance\Source\SubstanceCore\Private\SubstanceCoreHelpers.cpp:3398]
UE4Editor_SubstanceEditor!FSubstanceEditorModule::RebuildAlert() [D:\Build\++Portal+Promotion\Sync\LocalBuilds\PluginTemp\HostProject\Plugins\Substance\Source\SubstanceEditor\Private\SubstanceEditorModule.cpp:122]
UE4Editor_SubstanceEditor!TBaseStaticDelegateInstance<void __cdecl(FString const &,bool)>::ExecuteIfSafe() [D:\RocketSync\4.25.0-13144385+++UE4+Release-4.25\Working\Engine\Source\Runtime\Core\Public\Delegates\DelegateInstancesImpl.h:859]
UE4Editor_UnrealEd
UE4Editor_UnrealEd
UE4Editor_UnrealEd
UE4Editor_UnrealEd
UE4Editor
UE4Editor
UE4Editor
UE4Editor
kernel32
ntdll"

I'm getting the same problem. I updated the plugin and now I cant open my project. I get the same fatal error.

Any word on this?

I was able to narrow down the issue. The error is occurring on older substance materials that I migrated in from a previous project. Once I deleted these from the content folder I was able to open the project.

Not really a great solution since those materials are ones that I use frequently but at least I was able to recover the project. Hopefully Substance will be able to find a solution so that we don't have to work with the fear of materials becoming obsolete on plugin updates.


@spineclinic  @Cpt.Sloth1992 ,

Do you have a project that we can use to repro the issue? Also can you provide the exact steps used so we can also narrow down the issue?

Same thing here. I was updating from 4.26.1 to 4.26.2 and my project won't open anymore. Fatal error on substance texture missmatch. Any news on this?
thx

Same thing here. I was updating from 4.26.1 to 4.26.2 and my project won't open anymore. Fatal error on substance texture missmatch. Any news on this?
thx

@milovanovic ,

Do you have a project pre-update that we could use to reproduce this issue?

ok, so first i thought i was the only one who got the app broken while updating. then I tried reinstalling, hoping to fix the issue, obviously didn't work. then i googled it and found that a lot of other people have the same issue. so, i guess this is not specific to particular projects